<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="16097" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="sep-c3-4XZ">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="16087"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Add City View Controller-->
        <scene sceneID="FV1-0N-f2Q">
            <objects>
                <viewController id="Ygx-1x-GPR" customClass="AddCityViewController" customModule="RentalMovie" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="3ai-1Y-sFh">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="21" translatesAutoresizingMaskIntoConstraints="NO" id="wGv-hY-leU">
                                <rect key="frame" x="8" y="142" width="398" height="223"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="City Name" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="hbx-9y-Nxb">
                                        <rect key="frame" x="0.0" y="0.0" width="398" height="20.5"/>
                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="Ex: Surabaya" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="dS8-3W-qNo">
                                        <rect key="frame" x="0.0" y="41.5" width="398" height="34"/>
                                        <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                        <textInputTraits key="textInputTraits"/>
                                    </textField>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Postal Code" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="KT1-gq-Sg2">
                                        <rect key="frame" x="0.0" y="96.5" width="398" height="20.5"/>
                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="Ex: 60133, 60113" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="q7a-2V-EFG">
                                        <rect key="frame" x="0.0" y="138" width="398" height="34"/>
                                        <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                        <textInputTraits key="textInputTraits"/>
                                    </textField>
                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Z8X-wS-ZP7">
                                        <rect key="frame" x="0.0" y="193" width="398" height="30"/>
                                        <color key="backgroundColor" systemColor="systemOrangeColor" red="1" green="0.58431372550000005" blue="0.0" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                        <state key="normal" title="Add">
                                            <color key="titleColor" red="0.98791736360000004" green="0.9931057096" blue="0.94509261850000004" alpha="1" colorSpace="custom" customColorSpace="displayP3"/>
                                        </state>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                                <integer key="value" value="10"/>
                                            </userDefinedRuntimeAttribute>
                                        </userDefinedRuntimeAttributes>
                                        <connections>
                                            <action selector="addCityButtonClick:" destination="Ygx-1x-GPR" eventType="touchUpInside" id="xG4-Of-oYN"/>
                                        </connections>
                                    </button>
                                </subviews>
                            </stackView>
                        </subviews>
                        <color key="backgroundColor" systemColor="systemBackgroundColor" cocoaTouchSystemColor="whiteColor"/>
                        <constraints>
                            <constraint firstItem="wGv-hY-leU" firstAttribute="top" secondItem="sJP-eB-iko" secondAttribute="top" constant="54" id="BSn-Vn-Tac"/>
                            <constraint firstItem="sJP-eB-iko" firstAttribute="trailing" secondItem="wGv-hY-leU" secondAttribute="trailing" constant="8" id="IFj-Tg-U0s"/>
                            <constraint firstItem="wGv-hY-leU" firstAttribute="leading" secondItem="sJP-eB-iko" secondAttribute="leading" constant="8" id="JT5-Tp-sCC"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="sJP-eB-iko"/>
                    </view>
                    <navigationItem key="navigationItem" id="H4h-Z5-f0h"/>
                    <connections>
                        <outlet property="cityNameTextField" destination="dS8-3W-qNo" id="Tre-2C-liN"/>
                        <outlet property="postalCodeTextField" destination="q7a-2V-EFG" id="zsz-ns-LRU"/>
                        <segue destination="g3T-mt-84C" kind="unwind" identifier="backToCityList" unwindAction="unwindToCityList:" id="Drc-t8-Pig"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="xZB-yR-K3U" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
                <exit id="g3T-mt-84C" userLabel="Exit" sceneMemberID="exit"/>
            </objects>
            <point key="canvasLocation" x="4652" y="1566"/>
        </scene>
        <!--Cities-->
        <scene sceneID="4AK-yT-8by">
            <objects>
                <tableViewController id="7LN-3o-Av2" customClass="CityListTableViewController" customModule="RentalMovie" customModuleProvider="target" sceneMemberID="viewController">
                    <tableView key="view" clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" dataMode="prototypes" style="plain" separatorStyle="default" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="28" sectionFooterHeight="28" id="mdD-v2-DgX">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <color key="backgroundColor" systemColor="systemBackgroundColor" cocoaTouchSystemColor="whiteColor"/>
                        <prototypes>
                            <tableViewCell clipsSubviews="YES" contentMode="scaleToFill" preservesSuperviewLayoutMargins="YES" selectionStyle="default" indentationWidth="10" reuseIdentifier="postalCodes" id="FZy-7u-yig">
                                <rect key="frame" x="0.0" y="28" width="414" height="43.5"/>
                                <autoresizingMask key="autoresizingMask"/>
                                <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" preservesSuperviewLayoutMargins="YES" insetsLayoutMarginsFromSafeArea="NO" tableViewCell="FZy-7u-yig" id="f48-1W-Zqo">
                                    <rect key="frame" x="0.0" y="0.0" width="414" height="43.5"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                </tableViewCellContentView>
                            </tableViewCell>
                        </prototypes>
                        <connections>
                            <outlet property="dataSource" destination="7LN-3o-Av2" id="rk5-uS-6a6"/>
                            <outlet property="delegate" destination="7LN-3o-Av2" id="xYP-8N-V91"/>
                        </connections>
                    </tableView>
                    <navigationItem key="navigationItem" title="Cities" id="Hqy-If-Aj6">
                        <rightBarButtonItems>
                            <barButtonItem systemItem="add" id="3RG-LF-GIn">
                                <connections>
                                    <segue destination="Ygx-1x-GPR" kind="show" id="T7k-s9-hFd"/>
                                </connections>
                            </barButtonItem>
                            <barButtonItem title="Sort" image="arrow.up.arrow.down.circle" catalog="system" id="d4C-8Z-SAF">
                                <connections>
                                    <action selector="sortItemClick:" destination="7LN-3o-Av2" id="ufg-mb-ebo"/>
                                </connections>
                            </barButtonItem>
                        </rightBarButtonItems>
                    </navigationItem>
                </tableViewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="A3q-sc-43h" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="3763.7681159420295" y="1571.6517857142856"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="wMa-mv-4jP">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="sep-c3-4XZ" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="aX2-2g-h5a">
                        <rect key="frame" x="0.0" y="44" width="414" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="7LN-3o-Av2" kind="relationship" relationship="rootViewController" id="lMX-Ac-pHK"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="CWy-n3-RPA" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2853.6231884057975" y="1571.6517857142856"/>
        </scene>
    </scenes>
    <resources>
        <image name="arrow.up.arrow.down.circle" catalog="system" width="128" height="121"/>
    </resources>
</document>
